const wxml = function (data) {
  return `
  <view class="share">
    <image src="${data.controls.bg}?x-oss-process=image/resize,m_fill,h_532,w_300" class="bg"></image>
    <image src="https://webapp-pub.ezijing.com/weapp/share/cover.png" class="cover"></image>
    <view class="main">
      <text class="teacher">${data.share.lecturer.lecturer_name}</text>
      <text class="course">${data.share.course_name}</text>
      <view class="user">
        <image src="${data.controls.avatar}?x-oss-process=image/resize,m_fill,h_195,w_195" class="avatar"></image>
        <view><text class="nickname">${data.share.personal_name}</text></view>
      </view>
      <text class="chapter">${data.share.chapter_name}</text>
      <text class="text">${data.controls.text}</text>
      <view class="footer">
        <view class="footer-left">
          <view class="box"><text class="t1">我已坚持学习</text><text class="t2">${data.share.used_day}</text><text class="t3">天</text></view>
          <text class="tips">我离学位殿堂又近了一步</text>
        </view>
        <image src="${data.qrcode}" class="footer-right"></image>
      </view>
    </view>
  </view>`
}

const style = function (data) {
  const numLength = data.share.used_day.toString().length
  return {
    share: {
      position: 'relative',
      width: 300,
      height: 532
    },
    bg: {
      width: 300,
      height: 532
    },
    cover: {
      position: 'absolute',
      top: 36,
      left: 17,
      width: 267,
      height: 462
    },
    main: {
      position: 'absolute',
      left: 40,
      top: 120,
      width: 220,
      height: 300
    },
    teacher: {
      height: 16,
      fontSize: 13,
      fontWeight: 'bold',
      lineHeight: 16,
      color: '#D78C4A'
    },
    course: {
      marginLeft: -5,
      height: 16,
      fontSize: 13,
      fontWeight: 'bold',
      lineHeight: 16,
      color: '#D78C4A'
    },
    user: {
      marginTop: 10,
      flexDirection: 'column',
      alignItems: 'center'
    },
    avatar: {
      width: 65,
      height: 65,
      borderRadius: 32.5
    },
    nickname: {
      marginTop: 2,
      width: 220,
      height: 16,
      fontSize: 15,
      fontWeight: 'bold',
      lineHeight: 16,
      color: '#D78C4A',
      textAlign: 'center'
    },
    chapter: {
      marginTop: 6,
      width: 220,
      height: 32,
      fontSize: 14,
      fontWeight: 'bold',
      color: '#1A1A1A',
      lineHeight: 16,
      textAlign: 'center'
    },
    text: {
      marginTop: 56,
      marginLeft: 12,
      width: 200,
      height: 36,
      fontSize: 13,
      fontWeight: 'bold',
      fontStyle: 'italic',
      color: '#1A1A1A',
      lineHeight: 18
    },
    footer: {
      marginTop: 15,
      marginLeft: 15,
      marginRight: 15,
      width: 190,
      height: 50,
      flexDirection: 'row',
      alignItems: 'center'
    },
    footerLeft: {
      width: 140,
      height: 50,
      justifyContent: 'center'
    },
    box: {
      marginBottom: 6,
      width: 140,
      height: 20,
      flexDirection: 'row',
      alignItems: 'flex-end'
    },
    t1: {
      marginiTop: 8,
      width: 72,
      height: 12,
      fontSize: 12,
      lineHeight: 12,
      color: '#1A1A1A'
    },
    t2: {
      width: numLength * 11,
      height: 17,
      fontSize: 17,
      fontWeight: 'bold',
      lineHeight: 17,
      color: '#D78C4A',
      textAlign: 'center'
    },
    t3: {
      marginiTop: 8,
      width: 12,
      height: 12,
      fontSize: 12,
      lineHeight: 12,
      color: '#1A1A1A'
    },
    tips: {
      width: 140,
      height: 20,
      fontSize: 12,
      lineHeight: 20,
      color: '#1A1A1A'
    },
    footerRight: {
      width: 50,
      height: 50
    }
  }
}

export { wxml, style }
